Description: Fix regex compilation error assertion for python3.13
Author: Ananthu C V <weepingclown@debian.org>
Last-Update: 2024-12-05
--- a/ruffus/test/test_ruffus_utility.py
+++ b/ruffus/test/test_ruffus_utility.py
@@ -280,3 +280,4 @@
                             e.args == ('Dummy Task', "test1: regular expression regex('.*)') is malformed\n[sre_constants.error: (unbalanced parenthesis)]") or
-                            e.args == ('Dummy Task', "test1: regular expression regex('.*)') is malformed\n[re.error: (unbalanced parenthesis at position 2)]"))
+                            e.args == ('Dummy Task', "test1: regular expression regex('.*)') is malformed\n[re.error: (unbalanced parenthesis at position 2)]") or
+                            e.args == ('Dummy Task', "test1: regular expression regex('.*)') is malformed\n[re.PatternError: (unbalanced parenthesis at position 2)]"))
 
